Subject: Re: [PATCH 0/9] MT6365 PMIC support cleanup

From: Rob Herring <[email-masked]>
Date: Tue, 2 Jun 2026 14:58:07 -0500

On Wed, Apr 29, 2026 at 11:44:13AM +0200, Louis-Alexis Eyraud wrote:
> Several Mediatek and Radxa boards, based on MT8370, MT8390 or MT8395
> SoC, integrate the MT6365 PMIC, that is a MT6359P variant:
>  - Mediatek Genio 1200-EVK
>  - Mediatek Genio 700-EVK
>  - Mediatek Genio 510-EVK
>  - Radxa NIO-12L
> It is compatible with the MT6359 PMIC.
> 
> But both MT6365 PMIC support and compatibility were never expressed in
> the dt-bindings and there is no MT6365 include file as well.
> So, since these board support was introduced, their devicetrees use the
> mt6359 include file to enable this PMIC support. 
> 
> The goal of this series is to clean this support by adding the missing
> compatible strings for this MFD main and subdevices in the dt-bindings,
> and add a include for MT6365 definitions to replace the MT6359 include
> in these board devicetrees and for future ones (like Genio 520/720
> EVKs).
> 
> The series is based on linux-next tree (tag: next-20260428) and has
> been tested on Mediatek Genio 510, 700 and 1200-EVK boards.
> 
> ---
> Louis-Alexis Eyraud (9):
>       dt-bindings: mfd: mediatek: mt6397: Add rtc for MT6359
>       dt-bindings: mfd: mediatek: mt6397: Add MT6365 PMIC support
>       dt-bindings: input: mediatek,pmic-keys: Add MT6365 support
>       dt-bindings: iio: adc: mt6359: Add MT6365 PMIC AuxADC

Applied these 2 to fix warnings in linux-next.

Angelo, Apply the binding changes along with the .dts changes if they 
haven't been picked up yet.

Once again, Mediatek warnings are moving in the wrong direction. :(

Rob

>       arm64: dts: mediatek: mt6359: use proper compatible for rtc
>       arm64: dts: mediatek: add MT6365 PMIC include
>       arm64: dts: mediatek: mt8390-genio-common: use MT6365 PMIC definitions
>       arm64: dts: mediatek: mt8395-genio-common: use MT6365 PMIC definitions
>       arm64: dts: mediatek: mt8395-radxa-nio-12l: use MT6365 PMIC definitions